%global version 24.1.7

Name:       mesa-freeworld-metapackage
Version:    %version
Release:    1%{?dist}
Summary:    metapackage for RPM Fusion mesa drivers 
License:    MIT
BuildArch:  noarch

Requires: mesa-va-drivers-freeworld = %version
Requires: mesa-vdpau-drivers-freeworld = %version

Conflicts: mesa-dri-drivers < %version
Conflicts: mesa-dri-drivers > %version
Conflicts: mesa-filesystem < %version
Conflicts: mesa-filesystem > %version
Conflicts: mesa-libEGL < %version
Conflicts: mesa-libEGL > %version
Conflicts: mesa-libGL < %version
Conflicts: mesa-libGL > %version
Conflicts: mesa-libOpenCL < %version
Conflicts: mesa-libOpenCL > %version
Conflicts: mesa-libgbm < %version
Conflicts: mesa-libgbm > %version
Conflicts: mesa-libglapi < %version
Conflicts: mesa-libglapi > %version
Conflicts: mesa-libxatracker < %version
Conflicts: mesa-libxatracker > %version
Conflicts: mesa-vulkan-drivers < %version
Conflicts: mesa-vulkan-drivers > %version
Conflicts: mesa-libOSMesa < %version
Conflicts: mesa-libOSMesa > %version
Conflicts: mesa-libd3d < %version
Conflicts: mesa-libd3d > %version
Conflicts: mesa-omx-drivers < %version
Conflicts: mesa-omx-drivers > %version
Conflicts: mesa-va-drivers
Conflicts: mesa-vdpau-drivers

%description
Depends on mesa-va-drivers-freeworld and mesa-vdpau-drivers-freeworld %version.
It tries to prevent all partial mesa-updates caused by RPM Fusion being out of sync.

%prep
# nothing
%build
# nothing
%install
# nothing
%files
# nothing

%changelog
* Tue Sep 03 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.7

* Thu Aug 22 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.6

* Sun Aug 04 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.5

* Sat Jul 20 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.4

* Fri Jun 21 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.2

* Sat Jun 15 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.1.1

* Sat Jun 01 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.0.8

* Tue May 14 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 24.0.6

* Thu Feb 29 2024 blued_gear <chocolatecakecodes@disroot.org>
- update mesa to 23.3.6
    
* Tue Feb 13 2024 blued_gear <chocolatecakecodes@disroot.org>
- initial version with mesa 23.3.5
